<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('web_properties', function (Blueprint $table) {
            $table->id();

            $table->string('company_name')->nullable();
            $table->string('slogan')->nullable();

            $table->string('email')->nullable();
            $table->string('support_email')->nullable();
            $table->string('business_email')->nullable();

            $table->string('phone_no')->nullable();

            $table->string('fb_link')->nullable();
            $table->string('twitter_link')->nullable();
            $table->string('youtube_link')->nullable();
            $table->string('youtube_video_key')->nullable();
            $table->string('linkedin_link')->nullable();

            $table->text('address')->nullable();

            $table->text('footer_text')->nullable();

            $table->string('logo')->nullable();

            $table->string('count_one')->nullable();
            $table->string('count_one_text')->nullable();

            $table->string('count_two')->nullable();
            $table->string('count_two_text')->nullable();

            $table->string('owner_signature_image')->nullable(); 
            $table->string('owner_designation')->nullable(); 
            $table->text('owner_message')->nullable(); 

            $table->boolean('status')->default(1);
            $table->integer('created_by');
            $table->integer('updated_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('web_properties');
    }
};
